Skip to main content

Endpoint

This is the standard OAuth 2.0 token endpoint for creating and refreshing access tokens.

Request Body

The request body should be sent as application/x-www-form-urlencoded.

For authorization code exchange

string
required
Must be authorization_code
string
required
The authorization code received from the authorization flow
string
required
The redirect URI used in the authorization request
string
required
Your OAuth application’s client ID
string
required
Your OAuth application’s client secret

For token refresh

string
required
Must be refresh_token
string
required
The refresh token from a previous token response
string
required
Your OAuth application’s client ID
string
required
Your OAuth application’s client secret

Response

Success Response (200 OK)

string
The OAuth access token to use for API requests
string
Will always be “Bearer”
integer
Number of seconds until the access token expires
string
Token to use for refreshing the access token when it expires
string
Space-separated list of scopes granted to this token

Example

Error Responses

400 Bad Request

Invalid request parameters (e.g., missing required fields, invalid grant_type).

401 Unauthorized

Invalid client credentials (client_id or client_secret is incorrect).

400 Invalid Grant

The authorization code or refresh token is invalid, expired, or already used.